summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/byebug/metadata.xml24
-rw-r--r--dev-ruby/chruby/metadata.xml22
-rw-r--r--dev-ruby/git/Manifest1
-rw-r--r--dev-ruby/git/git-1.10.2.ebuild2
-rw-r--r--dev-ruby/git/git-1.11.0.ebuild42
-rw-r--r--dev-ruby/gruff/Manifest1
-rw-r--r--dev-ruby/gruff/gruff-0.15.0.ebuild53
-rw-r--r--dev-ruby/pry-byebug/metadata.xml22
-rw-r--r--dev-ruby/rbspy/metadata.xml20
-rw-r--r--dev-ruby/rchardet/rchardet-1.8.0.ebuild4
-rw-r--r--dev-ruby/rspec-wait/metadata.xml20
-rw-r--r--dev-ruby/ruby-install/metadata.xml22
-rw-r--r--dev-ruby/sigar/sigar-0.7.3-r1.ebuild6
-rw-r--r--dev-ruby/tzinfo/tzinfo-1.2.9.ebuild4
14 files changed, 170 insertions, 73 deletions
diff --git a/dev-ruby/byebug/metadata.xml b/dev-ruby/byebug/metadata.xml
index 7e8726cf2b9f..de9dd4fa0e8b 100644
--- a/dev-ruby/byebug/metadata.xml
+++ b/dev-ruby/byebug/metadata.xml
@@ -1,13 +1,13 @@
-<?xml version = '1.0' encoding = 'UTF-8'?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <description>co-maintainers welcome</description>
- <email>lssndrbarbieri@gmail.com</email>
- <name>Alessandro Barbieri</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/deivid-rodriguez/byebug/issues</bugs-to>
- <remote-id type="github">deivid-rodriguez/byebug</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ <description>co-maintainers welcome</description>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/deivid-rodriguez/byebug/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/chruby/metadata.xml b/dev-ruby/chruby/metadata.xml
index 5f6d2b404613..472f65e2841c 100644
--- a/dev-ruby/chruby/metadata.xml
+++ b/dev-ruby/chruby/metadata.xml
@@ -1,13 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>alexey@zapparov.com</email>
- <name>Alexey Zapparov</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/postmodern/chruby/issues</bugs-to>
- <changelog>https://github.com/postmodern/chruby/blob/master/ChangeLog.md</changelog>
- <remote-id type="github">postmodern/chruby</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>alexey@zapparov.com</email>
+ <name>Alexey Zapparov</name>
+ </maintainer>
+ <upstream>
+ <changelog>https://github.com/postmodern/chruby/blob/master/ChangeLog.md</changelog>
+ <bugs-to>https://github.com/postmodern/chruby/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/git/Manifest b/dev-ruby/git/Manifest
index b5385782744f..0488f1bdc080 100644
--- a/dev-ruby/git/Manifest
+++ b/dev-ruby/git/Manifest
@@ -1,3 +1,4 @@
DIST git-1.10.0.tar.gz 207412 BLAKE2B e18406a9690d4c0fc3009b57629515e701f41113592fd7533b6b2ae659b90ec1b635410deb7bcb3bd711ce291aaec2010bfcfb4bfb812b9fffdafac167d33bb9 SHA512 717ae5df3cf2b700395df91e8f6e9632062c804955c8f18215c5220ec373a33c2a991534f2a63155111643a867f45f2e7056e2dd6e297340372143770bb70021
DIST git-1.10.2.tar.gz 212738 BLAKE2B 4059066fac1a22e8f19ecce1ebaed648fedc30767b91cb38cf9cf4c9f7091f55f5e9682183e188357dd12ed06dc1ad905d9b688db0c536623487e3c5431ba6f8 SHA512 5d8150a8f974c9b9f531d169e2899b311965a9e9d48d1e45c8bb778a48ea0887ccecf7681baf7cbfad4d22509ba0aafb9886559565e918b84f740b3da7430d86
+DIST git-1.11.0.tar.gz 214161 BLAKE2B 69471f89fddf18bf31d74e318141046395281ba64de1f91fd49cb866508dca9cf7c568c113ed7d7e928bf1d7dfdb0e130a193d4069b87155a4dbc046d6dd6ce9 SHA512 a71da8890622b6ad5a341908e968040ef6c00e2f9edd0bfee1a0c1e9f110cc12b9c01015605b0fb902fdf04fab6011adfbffcf5e8f853c550bff7c263d2e6bd6
DIST git-1.9.1.tar.gz 206509 BLAKE2B 3f8739286f3197fa86a3fccfab357510d562415f568726126cf96c8b74c716c4fbb592f854cafda26cf2f0371e4bc9b52a9f5efdea860d0ea6836198ca48b887 SHA512 ee1df3e704b8bf0687c9fce83d73502d3d46e7f3291da90906961dda057d8e6ec3a0fda5b68c258dd8542559055f1bfabf8915a7e594edafa4b3f267f302f397
diff --git a/dev-ruby/git/git-1.10.2.ebuild b/dev-ruby/git/git-1.10.2.ebuild
index e8578adcddc4..d643d9294e7c 100644
--- a/dev-ruby/git/git-1.10.2.ebuild
+++ b/dev-ruby/git/git-1.10.2.ebuild
@@ -18,7 +18,7 @@ RUBY_S="ruby-git-${PV}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
IUSE="test"
DEPEND+="test? ( >=dev-vcs/git-1.6.0.0 app-arch/tar )"
diff --git a/dev-ruby/git/git-1.11.0.ebuild b/dev-ruby/git/git-1.11.0.ebuild
new file mode 100644
index 000000000000..6029dfa5687c
--- /dev/null
+++ b/dev-ruby/git/git-1.11.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="git.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for using Git in Ruby"
+HOMEPAGE="https://github.com/schacon/ruby-git"
+SRC_URI="https://github.com/schacon/ruby-git/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="ruby-git-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+DEPEND+="test? ( >=dev-vcs/git-1.6.0.0 app-arch/tar )"
+RDEPEND+=">=dev-vcs/git-1.6.0.0"
+
+ruby_add_rdepend ">=dev-ruby/rchardet-1.8:1"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/minitar dev-ruby/test-unit:2 )"
+
+all_ruby_prepare() {
+ # Don't use hardcoded /tmp directory.
+ sed -i -e "s:/tmp:${TMPDIR}:" tests/units/test_archive.rb tests/test_helper.rb || die
+
+ sed -i -e 's/__dir__/"."/' -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ git config --global user.email "git@example.com" || die
+ git config --global user.name "GitExample" || die
+ ${RUBY} -Ilib:.:test -e 'Dir["tests/**/test_*.rb"].each {|f| require f}' || die
+}
diff --git a/dev-ruby/gruff/Manifest b/dev-ruby/gruff/Manifest
index e7b45205c693..bec2b540fd27 100644
--- a/dev-ruby/gruff/Manifest
+++ b/dev-ruby/gruff/Manifest
@@ -1 +1,2 @@
DIST gruff-0.14.0.tar.gz 20193671 BLAKE2B b8cdaaca71c5b034206c4f88b1e50e09f8d9c5a3227eaa59a5c66718468ffa643509acfe8bd6919fd012a50daa27709569c210b030e25207c17a0ce13b60616f SHA512 e3c3acbce0888698e2aa92b8e86d2ada5499f394d100209b94ac4284f05a6a4f64c2bdcce91f76be7cec860d0546ebf5fa24aab73b51c0ca9763dc07855c8a68
+DIST gruff-0.15.0.tar.gz 20408532 BLAKE2B 979d027b7763a03dc98e42b195df36d8095f85118187ba63c10fb504ce5e12191691d1a512e780b95030129e2c30a6b9525a4ff3424cd2638e4fa5e42578b33f SHA512 05fadae5895340130dedf2d75a4c99852602334148c7a3179e48001abdb885d519400883067599044f660ea2ef6aded815cdef96dffda307f749af3d2e7751d0
diff --git a/dev-ruby/gruff/gruff-0.15.0.ebuild b/dev-ruby/gruff/gruff-0.15.0.ebuild
new file mode 100644
index 000000000000..7823d71da2ac
--- /dev/null
+++ b/dev-ruby/gruff/gruff-0.15.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="assets rails_generators"
+
+RUBY_FAKEGEM_GEMSPEC="gruff.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Beautiful graphs for one or multiple datasets"
+HOMEPAGE="https://github.com/topfunky/gruff"
+SRC_URI="https://github.com/topfunky/gruff/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# imagemagick is an indirect dependency through rmagick. However, for
+# gruff to work properly imagemagick needs to be compiled with truetype
+# support and this cannot be expressed in the rmagick dependency. Tests
+# also require imagemagick to have jpeg and png support.
+DEPEND="${DEPEND} test? ( media-gfx/imagemagick[jpeg,png,truetype,webp] )"
+RDEPEND="${RDEPEND} media-gfx/imagemagick[truetype]"
+
+ruby_add_rdepend "dev-ruby/histogram >=dev-ruby/rmagick-4.2:*"
+ruby_add_bdepend "
+ test? (
+ dev-ruby/test-unit
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/\(reporters\|simplecov\)/I s:^:#:' test/gruff_test_case.rb || die
+ sed -i -e '2irequire "date"' test/test_scatter.rb || die
+
+ sed -e 's/git ls-files/find . -print/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ # Skip the image comparison checks since the images are not
+ # pixel-perfect identical, most likely due to the use of a slightly
+ # different font.
+ SKIP_CHECK=true ${RUBY} -Ilib:. -e "Dir['test/test_*.rb'].each{|f| require f}" || die
+}
diff --git a/dev-ruby/pry-byebug/metadata.xml b/dev-ruby/pry-byebug/metadata.xml
index 4ddd556a4a6c..2d5a994b3431 100644
--- a/dev-ruby/pry-byebug/metadata.xml
+++ b/dev-ruby/pry-byebug/metadata.xml
@@ -1,13 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <description>co-maintainers welcome</description>
- <email>lssndrbarbieri@gmail.com</email>
- <name>Alessandro Barbieri</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/deivid-rodriguez/pry-byebug/issues</bugs-to>
- <remote-id type="github">deivid-rodriguez/pry-byebug</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ <description>co-maintainers welcome</description>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/deivid-rodriguez/pry-byebug/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/rbspy/metadata.xml b/dev-ruby/rbspy/metadata.xml
index 79bdb91392e0..8c317ce31d05 100644
--- a/dev-ruby/rbspy/metadata.xml
+++ b/dev-ruby/rbspy/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>alexey@zapparov.com</email>
- <name>Alexey Zapparov</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/rbspy/rbspy/issues</bugs-to>
- <remote-id type="github">rbspy/rbspy</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>alexey@zapparov.com</email>
+ <name>Alexey Zapparov</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/rbspy/rbspy/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/rchardet/rchardet-1.8.0.ebuild b/dev-ruby/rchardet/rchardet-1.8.0.ebuild
index a5d21dd0fdfd..f7406102881c 100644
--- a/dev-ruby/rchardet/rchardet-1.8.0.ebuild
+++ b/dev-ruby/rchardet/rchardet-1.8.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="Readme.md"
diff --git a/dev-ruby/rspec-wait/metadata.xml b/dev-ruby/rspec-wait/metadata.xml
index e09fffe583ff..3cd763b2c46a 100644
--- a/dev-ruby/rspec-wait/metadata.xml
+++ b/dev-ruby/rspec-wait/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>lssndrbarbieri@gmail.com</email>
- <name>Alessandro Barbieri</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/laserlemon/rspec-wait/issues</bugs-to>
- <remote-id type="github">laserlemon/rspec-wait</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/laserlemon/rspec-wait/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/ruby-install/metadata.xml b/dev-ruby/ruby-install/metadata.xml
index 172ff196679b..dcaed0caef5f 100644
--- a/dev-ruby/ruby-install/metadata.xml
+++ b/dev-ruby/ruby-install/metadata.xml
@@ -1,13 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>alexey@zapparov.com</email>
- <name>Alexey Zapparov</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/postmodern/ruby-install/issues</bugs-to>
- <changelog>https://github.com/postmodern/ruby-install/blob/master/ChangeLog.md</changelog>
- <remote-id type="github">postmodern/ruby-install</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>alexey@zapparov.com</email>
+ <name>Alexey Zapparov</name>
+ </maintainer>
+ <upstream>
+ <changelog>https://github.com/postmodern/ruby-install/blob/master/ChangeLog.md</changelog>
+ <bugs-to>https://github.com/postmodern/ruby-install/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/sigar/sigar-0.7.3-r1.ebuild b/dev-ruby/sigar/sigar-0.7.3-r1.ebuild
index e2ac96cf968c..6d479901918e 100644
--- a/dev-ruby/sigar/sigar-0.7.3-r1.ebuild
+++ b/dev-ruby/sigar/sigar-0.7.3-r1.ebuild
@@ -1,14 +1,14 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST=""
RUBY_FAKEGEM_EXTRADOC="README"
RUBY_FAKEGEM_EXTENSIONS=(bindings/ruby/extconf.rb)
-inherit multilib ruby-fakegem
+inherit ruby-fakegem
DESCRIPTION="System Information Gatherer And Reporter"
HOMEPAGE="https://rubygems.org/gems/sigar"
diff --git a/dev-ruby/tzinfo/tzinfo-1.2.9.ebuild b/dev-ruby/tzinfo/tzinfo-1.2.9.ebuild
index 097e9add9d51..dd9bef59b21c 100644
--- a/dev-ruby/tzinfo/tzinfo-1.2.9.ebuild
+++ b/dev-ruby/tzinfo/tzinfo-1.2.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ HOMEPAGE="https://tzinfo.github.io/"
LICENSE="MIT"
SLOT="1"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="sys-libs/timezone-data"